﻿topicarray["8d43783a7ae687cd33f6bfd7faad8c43"] = {"Html":"\u003c?xml version=\"1.0\" encoding=\"utf-16\"?\u003e\u003chtml xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"\u003e\u003cdiv class=\"main_body\"\u003e\u003cbr /\u003e\u003cdiv class=\"content_body\"\u003e\u003cdiv class=\"body_headline\" style=\"display:none;\"\u003eHoming\u003c/div\u003e\u003cdiv class=\"prolog-container\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003e​Homing means matching the axis coordinates of the technology object to the real, physical location of the drive. For position-controlled axes the entries and displays for the position refer exactly to these axis coordinates. Therefore, agreement between the axis coordinates and the real situation is extremely important. This step is necessary to ensure that the absolute target position of the axis is also achieved exactly with the drive. \u003c/span\u003e\u003cspan class=\"index-entry hidden\"\u003e\u003cspan class=\"index-entry-item\"\u003eHoming\u003c/span\u003e\u003cspan class=\"index-subentry-item\"\u003eHoming modes\u003c/span\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003e​In the S7-1200 CPU, axis homing is implemented with the motion control instruction, \"\u003c/span\u003e\u003cspan\u003e​MC_Home\u003c/span\u003e\u003cspan\u003e​\". The \"Homed\" status is displayed in the tags of the technology object \u0026lt;Axis name\u0026gt;.\u003c/span\u003e\u003cspan\u003e​StatusBits.HomingDone \u003c/span\u003e\u003cspan\u003e​. The following homing modes exist:\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"quintessence\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eHoming modes\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"floating-text ul-container\"\u003e\u003cul class=\"bullet\"\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e​Active homing\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e​In active homing mode, the motion control instruction \"\u003c/span\u003e\u003cspan\u003e​MC_Home\u003c/span\u003e\u003cspan\u003e​\" performs the required reference point approach. When the homing switch is detected, the axis is homed according to the configuration. Active traversing motions are aborted.\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e​Passive homing\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e​During passive homing, the \"\u003c/span\u003e\u003cspan\u003e​MC_Home\u003c/span\u003e\u003cspan\u003e​\" Motion Control instruction does not carry out any homing motion. The traversing motion required for this must be implemented by the user via other Motion Control instructions. When the homing switch is detected, the axis is homed according to the configuration. Active traversing motions are not aborted upon start of passive homing.\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e​Direct homing absolute\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e​The axis position is set regardless of the homing switch. Active traversing motions are not aborted. The value of input parameter \"\u003c/span\u003e\u003cspan\u003e​Position\u003c/span\u003e\u003cspan\u003e​\" of motion control instruction \"\u003c/span\u003e\u003cspan\u003e​MC_Home\u003c/span\u003e\u003cspan\u003e​\" is set immediately as the reference point of the axis.\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e​Direct homing relative\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e​The axis position is set regardless of the homing switch. Active traversing motions are not aborted. The following statement applies to the axis position after homing:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e​New axis position = current axis position + value of parameter \"\u003c/span\u003e\u003cspan\u003e​Position\u003c/span\u003e\u003cspan\u003e​\" of instruction \"\u003c/span\u003e\u003cspan\u003e​MC_Home\u003c/span\u003e\u003cspan\u003e​\".\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003c/ul\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"principle\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eResetting the \"Homed\" status\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003e​The \"Homed\" status of a technology object (\u0026lt;Axis name\u0026gt;.\u003c/span\u003e\u003cspan\u003e​StatusBits.HomingDone\u003c/span\u003e\u003cspan\u003e​) is reset under the following conditions:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"floating-text ul-container\"\u003e\u003cul class=\"bullet\"\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e​Drive connection via \u003c/span\u003e\u003cspan\u003e​PTO (Pulse Train Output)\u003c/span\u003e\u003cspan\u003e​:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"floating-text ul-container\"\u003e\u003cul class=\"line\"\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e​Start an \"\u003c/span\u003e\u003cspan\u003e​MC_Home\u003c/span\u003e\u003cspan\u003e​\" command for active homing\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e​(After successful completion of the homing operation, the \"Homed\" status is set again.)\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e​Disabling of axis by the \"\u003c/span\u003e\u003cspan\u003e​MC_Power\u003c/span\u003e\u003cspan\u003e​\" Motion Control instruction\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e​Changeover between automatic mode and manual control\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e​After POWER OFF -\u0026gt; POWER ON of the CPU\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e​After CPU restart (RUN-STOP -\u0026gt; STOP-RUN)\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003c/ul\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e​Technology objects with incremental actual values:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"floating-text ul-container\"\u003e\u003cul class=\"line\"\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e​Start an \"\u003c/span\u003e\u003cspan\u003e​MC_Home\u003c/span\u003e\u003cspan\u003e​\" command for active homing\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e​(After successful completion of the homing operation, the \"Homed\" status is set again.)\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e​Error in the encoder system, or encoder failure\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e​Restart of the technology object\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e​After POWER OFF → POWER ON of the CPU\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e​Memory reset\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e​Modification of the encoder configuration\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003c/ul\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e​Technology objects with absolute actual values:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"floating-text ul-container\"\u003e\u003cul class=\"line\"\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e​Errors in the sensor system/encoder failure\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e​Replacement of the CPU\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e​Modification of the encoder configuration\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e​Restoration of the CPU factory settings\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e​Transfer of a different project to the controller\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003c/ul\u003e\u003c/div\u003e\u003c/li\u003e\u003c/ul\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"header-object block-title-top expandable-container\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eSee also\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p floating-text\"\u003e\u003cspan class=\"seeAlso\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chk048cf0fb7a708dc31d66faae6b679ca2\" class=\"hotspot-link display-i-none\" data-mode=\"\" data-label=\"\" data-linktarget=\"048cf0fb7a708dc31d66faae6b679ca2\" data-targettype=\"\" data-targetdocument=\"d0ecce24174ffc2b3addde95b33c8ac7\" data-targetdetail=\"048cf0fb7a708dc31d66faae6b679ca2\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan\u003e​CPU outputs relevant for motion control\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p floating-text\"\u003e\u003cspan class=\"seeAlso\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chka264ed24db578d8219981a666c2f27c6\" class=\"hotspot-link display-i-none\" data-mode=\"\" data-label=\"\" data-linktarget=\"a264ed24db578d8219981a666c2f27c6\" data-targettype=\"\" data-targetdocument=\"d0ecce24174ffc2b3addde95b33c8ac7\" data-targetdetail=\"a264ed24db578d8219981a666c2f27c6\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan\u003e​How the pulse interface works\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p floating-text\"\u003e\u003cspan class=\"seeAlso\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chka0bdb2536b664c6852c9d8a48ca14698\" class=\"hotspot-link display-i-none\" data-mode=\"\" data-label=\"\" data-linktarget=\"a0bdb2536b664c6852c9d8a48ca14698\" data-targettype=\"\" data-targetdocument=\"d0ecce24174ffc2b3addde95b33c8ac7\" data-targetdetail=\"a0bdb2536b664c6852c9d8a48ca14698\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan\u003e​Relationship between the signal type and the direction of travel\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p floating-text\"\u003e\u003cspan class=\"seeAlso\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chk18086c5602d89c6fea2a468760836b41\" class=\"hotspot-link display-i-none\" data-mode=\"\" data-label=\"\" data-linktarget=\"18086c5602d89c6fea2a468760836b41\" data-targettype=\"\" data-targetdocument=\"d0ecce24174ffc2b3addde95b33c8ac7\" data-targetdetail=\"18086c5602d89c6fea2a468760836b41\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan\u003e​Hardware and software limit switches\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p floating-text\"\u003e\u003cspan class=\"seeAlso\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chkdce92b2639e34cce80047533a93ba3cb\" class=\"hotspot-link display-i-none\" data-mode=\"\" data-label=\"\" data-linktarget=\"dce92b2639e34cce80047533a93ba3cb\" data-targettype=\"\" data-targetdocument=\"d0ecce24174ffc2b3addde95b33c8ac7\" data-targetdetail=\"dce92b2639e34cce80047533a93ba3cb\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan\u003e​Jerk limit\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p floating-text\"\u003e\u003cspan class=\"seeAlso\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chk5dace1b17bb9d5b1eb564457c84f9a42\" class=\"hotspot-link display-i-none\" data-mode=\"\" data-label=\"\" data-linktarget=\"5dace1b17bb9d5b1eb564457c84f9a42\" data-targettype=\"\" data-targetdocument=\"d0ecce24174ffc2b3addde95b33c8ac7\" data-targetdetail=\"5dace1b17bb9d5b1eb564457c84f9a42\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan\u003e​Integration of the positioning axis technology object\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p floating-text\"\u003e\u003cspan class=\"seeAlso\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chk2b0afe8e7db2b384480bf2682ed9f8f3\" class=\"hotspot-link display-i-none\" data-mode=\"\" data-label=\"\" data-linktarget=\"2b0afe8e7db2b384480bf2682ed9f8f3\" data-targettype=\"\" data-targetdocument=\"d0ecce24174ffc2b3addde95b33c8ac7\" data-targetdetail=\"2b0afe8e7db2b384480bf2682ed9f8f3\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan\u003e​Tools of the positioning axis technology object\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p floating-text\"\u003e\u003cspan class=\"seeAlso\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chk44f510638b4e74e310352d6c3d9fdb7d\" class=\"hotspot-link display-i-none\" data-mode=\"\" data-label=\"\" data-linktarget=\"44f510638b4e74e310352d6c3d9fdb7d\" data-targettype=\"\" data-targetdocument=\"d0ecce24174ffc2b3addde95b33c8ac7\" data-targetdetail=\"44f510638b4e74e310352d6c3d9fdb7d\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan\u003e​Homing (positioning axis technology object as of V2)\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/html\u003e"}