﻿topicarray["924e9efc5ff7c49af5cd79ade23f1a8b"] = {"Html":"\u003c?xml version=\"1.0\" encoding=\"utf-16\"?\u003e\u003chtml xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"\u003e\u003cdiv class=\"main_body\"\u003e\u003cbr /\u003e\u003cdiv class=\"content_body\"\u003e\u003cdiv class=\"body_headline\" style=\"display:none;\"\u003eUsing multiple axes with the same PTO\u003c/div\u003e\u003cdiv class=\"prolog-container\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003e​Use the Motion Control functionality of the CPU S7-1200 to run multiple positioning axis technology objects with the same PTO (\u003c/span\u003e\u003cspan\u003e​Pulse Train Output\u003c/span\u003e\u003cspan\u003e​) and thus with the same CPU outputs. This is appropriate, for example, if different axis configurations are to be used for different production sequences via one PTO. As described below, it is possible to switch between these axis configurations as often as necessary. The following diagram presents the basic functional relationships:\u003c/span\u003e\u003c/div\u003e\u003cspan class=\"img_free inserted-object has-image-title has-no-image-legend\"\u003e\u003cdiv style=\"margin-bottom:-4px;line-height:12.5pt;\"\u003e​\u003c/div\u003e\u003cimg src=\"images/53493049483_DV_resource.Stream@PNG-en-US.png\" docVersionId=\"129500411915\" language=\"en-US\" class=\"img_free\" data-type=\"fall3\" data-img-type=\"Painting\" data-original-height=\"327\" data-original-width=\"548\" data-resolution-x=\"96\" data-resolution-y=\"96\" id=\"129500411915_924e9efc5ff7c49af5cd79ade23f1a8b_53493049483_DV_resource_ID0AM0O\" width=\"548\" highresolutionsrc=\"images/53493049483_DV_resource.Stream@EPS_RGB-en-US.png\" /\u003e\u003cdiv class=\"p imageTitle\"\u003e\u003cspan class=\"imageTitle\" /\u003e\u003c/div\u003e\u003c/span\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003e​In this example, several positioning axis technology objects, each with its own axis configuration, use the same PTO. Each axis must be called in the user program with a separate call of Motion Control instruction \"\u003c/span\u003e\u003cspan\u003e​MC_Power\u003c/span\u003e\u003cspan\u003e​\" with a separate instance data block. Only one axis at a time may use the PTO. The axis that is currently using the PTO indicates this with tag \u0026lt;Axis name\u0026gt;.\u003c/span\u003e\u003cspan\u003e​StatusBits.Activated\u003c/span\u003e\u003cspan\u003e​ = TRUE.\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"quintessence\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eSwitchover of the positioning axis technology object\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003e​The program scheme described below shows you how to switch between different technology objects and, thus, between different axis configurations. To use the same PTO with multiple axes without error indications, only the Motion Control instructions of the axis currently being used may be called. \u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003e​The following diagram presents this principle using Motion Control instruction \"\u003c/span\u003e\u003cspan\u003e​MC_Power\u003c/span\u003e\u003cspan\u003e​\" as an example:\u003c/span\u003e\u003c/div\u003e\u003cspan class=\"img_free inserted-object has-no-image-title has-no-image-legend\"\u003e\u003cdiv style=\"margin-bottom:-4px;line-height:12.5pt;\"\u003e​\u003c/div\u003e\u003cimg src=\"images/53493177227_DV_resource.Stream@PNG-en-US.png\" docVersionId=\"129500411915\" language=\"en-US\" class=\"img_free\" data-type=\"fall3\" data-img-type=\"Painting\" data-original-height=\"275\" data-original-width=\"548\" data-resolution-x=\"96\" data-resolution-y=\"96\" id=\"129500411915_924e9efc5ff7c49af5cd79ade23f1a8b_53493177227_DV_resource_ID0AIB0KB\" width=\"548\" highresolutionsrc=\"images/53493177227_DV_resource.Stream@EPS_RGB-en-US.png\" /\u003e\u003c/span\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003e​The tags of the activated axis (\"Positioning axis_2\" here) show the following typical indicators in the user program:\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"floating-text ul-container\"\u003e\u003cul class=\"bullet\"\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e​\u0026lt;Axis name\u0026gt;.\u003c/span\u003e\u003cspan\u003e​StatusBits.Activated\u003c/span\u003e\u003cspan\u003e​ = TRUE\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e​\u0026lt;Axis name\u0026gt;.\u003c/span\u003e\u003cspan\u003e​ErrorBits.HWUsed\u003c/span\u003e\u003cspan\u003e​ = FALSE\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003c/ul\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003e​To switch from one positioning axis technology object to another, follow the steps described below. In the example, a switch is made from \"Positioning axis_2\" to \"Positioning axis_1\":\u003c/span\u003e\u003c/div\u003e\u003col class=\"floating-text\"\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e​End any active traversing motions of activated \"Positioning axis_2\"\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e​Disable \"Positioning axis_2\" with the associated Motion Control instruction \"\u003c/span\u003e\u003cspan\u003e​MC_Power\u003c/span\u003e\u003cspan\u003e​\" using input parameter \u003c/span\u003e\u003cspan\u003e​Enable\u003c/span\u003e\u003cspan\u003e​ = FALSE\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e​To verify that \"Positioning axis_2\" has been disabled, use an AND operation of output parameter \u003c/span\u003e\u003cspan\u003e​Status\u003c/span\u003e\u003cspan\u003e​ = \u003c/span\u003e\u003cspan\u003e​FALSE \u003c/span\u003e\u003cspan\u003e​of Motion Control instruction \"\u003c/span\u003e\u003cspan\u003e​MC_Power\u003c/span\u003e\u003cspan\u003e​\" and technology object tag \u0026lt;Axis name\u0026gt;.\u003c/span\u003e\u003cspan\u003e​StatusBits.Enable\u003c/span\u003e\u003cspan\u003e​ = \u003c/span\u003e\u003cspan\u003e​FALSE\u003c/span\u003e\u003cspan\u003e​.\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e​Deactivate the conditional call of the Motion Control instructions for \"Positioning axis_2\".\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e​Activate the conditional call of the Motion Control instruction for \"Positioning axis_1\". At the first call of the corresponding Motion Control instruction \"\u003c/span\u003e\u003cspan\u003e​MC_Power\u003c/span\u003e\u003cspan\u003e​\", \"Positioning axis_2\" is deactivated and \"Positioning axis_1\" is activated.\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e​Enable \"Positioning axis_1\" with the associated Motion Control instruction \"\u003c/span\u003e\u003cspan\u003e​MC_Power\u003c/span\u003e\u003cspan\u003e​\" using input parameter \u003c/span\u003e\u003cspan\u003e​Enable\u003c/span\u003e\u003cspan\u003e​ = TRUE.\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e​To verify that \"Positioning axis_1\" has been enabled, use an AND operation of output parameter \u003c/span\u003e\u003cspan\u003e​Status\u003c/span\u003e\u003cspan\u003e​ = TRUE of Motion Control instruction \"\u003c/span\u003e\u003cspan\u003e​MC_Power\u003c/span\u003e\u003cspan\u003e​\" and technology object tag \u0026lt;Axis name\u0026gt;.\u003c/span\u003e\u003cspan\u003e​StatusBits.Enable\u003c/span\u003e\u003cspan\u003e​ = TRUE.\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003c/ol\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003e​It is also always possible to cyclically call all Motion Control instructions of all axes working with a single PTO.\u003c/span\u003e\u003c/div\u003e\u003cspan class=\"img_free inserted-object has-no-image-title has-no-image-legend\"\u003e\u003cdiv style=\"margin-bottom:-4px;line-height:12.5pt;\"\u003e​\u003c/div\u003e\u003cimg src=\"images/53492627339_DV_resource.Stream@PNG-en-US.png\" docVersionId=\"129500411915\" language=\"en-US\" class=\"img_free\" data-type=\"fall3\" data-img-type=\"Graph\" data-original-height=\"309\" data-original-width=\"548\" data-resolution-x=\"96\" data-resolution-y=\"96\" id=\"129500411915_924e9efc5ff7c49af5cd79ade23f1a8b_53492627339_DV_resource_ID0ASD0UD\" width=\"548\" highresolutionsrc=\"images/53492627339_DV_resource.Stream@EPS_RGB-en-US.png\" /\u003e\u003c/span\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003e​When an axis is enabled (here \"Positioning axis_2\"), this axis becomes active.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003e​In contrast to the conditional call, the Motion Control instructions of the deactivated axes (here \"Positioning axis_1\" and \"Positioning axis_x\") indicate errors. The tags of these axes indicate the status \u0026lt;Axis name\u0026gt;.\u003c/span\u003e\u003cspan\u003e​StatusBits.Activated\u003c/span\u003e\u003cspan\u003e​ = FALSE and \u0026lt;Axis name\u0026gt;.\u003c/span\u003e\u003cspan\u003e​ErrorBits.HWUsed\u003c/span\u003e\u003cspan\u003e​ = TRUE.\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003e​Use the conditional call of the Motion Control instructions if you want to implement the user program without error indicators.\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"header-object block-title-top expandable-container\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eSee also\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p floating-text\"\u003e\u003cspan class=\"seeAlso\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chk2aa761efc6667b70f125068ab91b183a\" class=\"hotspot-link display-i-none\" data-mode=\"\" data-label=\"\" data-linktarget=\"2aa761efc6667b70f125068ab91b183a\" data-targettype=\"\" data-targetdocument=\"d0ecce24174ffc2b3addde95b33c8ac7\" data-targetdetail=\"2aa761efc6667b70f125068ab91b183a\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan\u003e​Tags of the positioning axis technology object V4...5\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p floating-text\"\u003e\u003cspan class=\"seeAlso\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chkd22c99d184734945d3cffbe6e3fca7db\" class=\"hotspot-link display-i-none\" data-mode=\"\" data-label=\"\" data-linktarget=\"d22c99d184734945d3cffbe6e3fca7db\" data-targettype=\"\" data-targetdocument=\"d0ecce24174ffc2b3addde95b33c8ac7\" data-targetdetail=\"d22c99d184734945d3cffbe6e3fca7db\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan\u003e​Using multiple drives with the same PTO\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p floating-text\"\u003e\u003cspan class=\"seeAlso\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chkc596f0de51441f86bb902bf4bf24cf90\" class=\"hotspot-link display-i-none\" data-mode=\"\" data-label=\"\" data-linktarget=\"c596f0de51441f86bb902bf4bf24cf90\" data-targettype=\"\" data-targetdocument=\"d0ecce24174ffc2b3addde95b33c8ac7\" data-targetdetail=\"c596f0de51441f86bb902bf4bf24cf90\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan\u003e​Tracking jobs from higher priority classes (execution levels)\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p floating-text\"\u003e\u003cspan class=\"seeAlso\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chk02e095f11514fb2f65dd31772aface5a\" class=\"hotspot-link display-i-none\" data-mode=\"\" data-label=\"\" data-linktarget=\"02e095f11514fb2f65dd31772aface5a\" data-targettype=\"\" data-targetdocument=\"d0ecce24174ffc2b3addde95b33c8ac7\" data-targetdetail=\"02e095f11514fb2f65dd31772aface5a\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan\u003e​Special cases when using software limit switches for drive connection via PTO\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p floating-text\"\u003e\u003cspan class=\"seeAlso\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chk9b01a55af3c1872e5599e8cbb7377209\" class=\"hotspot-link display-i-none\" data-mode=\"\" data-label=\"\" data-linktarget=\"9b01a55af3c1872e5599e8cbb7377209\" data-targettype=\"\" data-targetdocument=\"d0ecce24174ffc2b3addde95b33c8ac7\" data-targetdetail=\"9b01a55af3c1872e5599e8cbb7377209\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan\u003e​List of ErrorIDs and ErrorInfos (technology objects V4...5)\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/html\u003e"}