﻿topicarray["c596f0de51441f86bb902bf4bf24cf90"] = {"Html":"\u003c?xml version=\"1.0\" encoding=\"utf-16\"?\u003e\u003chtml xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\"\u003e\u003cdiv class=\"main_body\"\u003e\u003cbr /\u003e\u003cdiv class=\"content_body\"\u003e\u003cdiv class=\"body_headline\" style=\"display:none;\"\u003eTracking jobs from higher priority classes (execution levels)\u003c/div\u003e\u003cdiv class=\"prolog-container\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003e​Depending on the application, it may be necessary to start Motion Control commands (for example, interrupt-controlled) in a higher priority class (execution level). \u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003e​The Motion Control instructions must be called at short intervals for status monitoring. Motion Control commands cannot be sufficiently closely monitored if the higher priority Motion Control commands are called only once or at too great an interval. Tracking in such cases can be carried out in the cycle OB. An instance data block that is not currently being utilized must be available for each start of a higher priority Motion Control command. Refer to the following flow chart to see how you start Motion Control commands in a higher priority class (for example, hardware interrupt OB) and continue tracking in the program cycle OB:\u003c/span\u003e\u003c/div\u003e\u003cspan class=\"img_free inserted-object has-image-title has-no-image-legend\"\u003e\u003cdiv style=\"margin-bottom:-4px;line-height:12.5pt;\"\u003e​\u003c/div\u003e\u003cimg src=\"images/53491292555_DV_resource.Stream@PNG-en-US.png\" docVersionId=\"129500411915\" language=\"en-US\" class=\"img_free\" data-type=\"fall3\" data-img-type=\"Painting\" data-original-height=\"775\" data-original-width=\"655\" data-resolution-x=\"96\" data-resolution-y=\"96\" id=\"129500411915_c596f0de51441f86bb902bf4bf24cf90_53491292555_DV_resource_ID0AK0M\" width=\"655\" highresolutionsrc=\"images/53491292555_DV_resource.Stream@EPS_RGB-en-US.png\" /\u003e\u003cdiv class=\"p imageTitle\"\u003e\u003cspan class=\"imageTitle\" /\u003e\u003c/div\u003e\u003c/span\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003e​Depending on the frequency of the Motion Control commands you want to start, you will have to generate a sufficient number of instance data blocks. Users determine which instance data block is currently used in the DBx_used tags.\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"quintessence\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eStart of Motion Control command in the hardware interrupt OB\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003e​Binary queries of the DBx_used tags (orange) are used to find an instance data block not currently in use. If such an instance data block is found, the utilized instance data block is marked as \"used\" (green) and the Motion Control command is started with this instance data block (blue).\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003e​Any other program sections of the hardware interrupt OB are then executed, followed by a return to the program cycle OB.\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"expandable-container\" data-type=\"principle\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eTracking of started Motion Control commands in the program cycle OB\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003e​All instance data blocks available in the cycle OB are checked to determine if they are currently in use by means of the DBx_used tag (violet).\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003e​If an instance data block is in use (Motion Control command is being processed), the Motion Control instruction with this instance data block and input parameter \u003c/span\u003e\u003cspan\u003e​Execute\u003c/span\u003e\u003cspan\u003e​ = TRUE is called to read out the status messages (red).\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003e​If the command is complete or has been aborted, the following actions are taken next (blue green):\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"floating-text ul-container\"\u003e\u003cul class=\"bullet\"\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e​Call of Motion Control instruction with input parameter \u003c/span\u003e\u003cspan\u003e​Execute\u003c/span\u003e\u003cspan\u003e​ = FALSE\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003cli\u003e\u003cdiv class=\"p default floating-text\"\u003e\u003cspan\u003e​Resetting the DBx_used tag\u003c/span\u003e\u003c/div\u003e\u003c/li\u003e\u003c/ul\u003e\u003c/div\u003e\u003cdiv class=\"p p-default floating-text\"\u003e\u003cspan\u003e​This completes the command tracking, and the instance data block is now available for use again.\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003cdiv class=\"header-object block-title-top expandable-container\"\u003e\u003cdiv class=\"h4 block-title header-object\" data-expandable=\"minus\"\u003e\u003cspan class=\"data-expandable\"\u003eSee also\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"expandable-content\" style=\"display: block;\"\u003e\u003cdiv class=\"p floating-text\"\u003e\u003cspan class=\"seeAlso\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chk2aa761efc6667b70f125068ab91b183a\" class=\"hotspot-link display-i-none\" data-mode=\"\" data-label=\"\" data-linktarget=\"2aa761efc6667b70f125068ab91b183a\" data-targettype=\"\" data-targetdocument=\"d0ecce24174ffc2b3addde95b33c8ac7\" data-targetdetail=\"2aa761efc6667b70f125068ab91b183a\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan\u003e​Tags of the positioning axis technology object V4...5\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p floating-text\"\u003e\u003cspan class=\"seeAlso\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chk924e9efc5ff7c49af5cd79ade23f1a8b\" class=\"hotspot-link display-i-none\" data-mode=\"\" data-label=\"\" data-linktarget=\"924e9efc5ff7c49af5cd79ade23f1a8b\" data-targettype=\"\" data-targetdocument=\"d0ecce24174ffc2b3addde95b33c8ac7\" data-targetdetail=\"924e9efc5ff7c49af5cd79ade23f1a8b\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan\u003e​Using multiple axes with the same PTO\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p floating-text\"\u003e\u003cspan class=\"seeAlso\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chkd22c99d184734945d3cffbe6e3fca7db\" class=\"hotspot-link display-i-none\" data-mode=\"\" data-label=\"\" data-linktarget=\"d22c99d184734945d3cffbe6e3fca7db\" data-targettype=\"\" data-targetdocument=\"d0ecce24174ffc2b3addde95b33c8ac7\" data-targetdetail=\"d22c99d184734945d3cffbe6e3fca7db\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan\u003e​Using multiple drives with the same PTO\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p floating-text\"\u003e\u003cspan class=\"seeAlso\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chk02e095f11514fb2f65dd31772aface5a\" class=\"hotspot-link display-i-none\" data-mode=\"\" data-label=\"\" data-linktarget=\"02e095f11514fb2f65dd31772aface5a\" data-targettype=\"\" data-targetdocument=\"d0ecce24174ffc2b3addde95b33c8ac7\" data-targetdetail=\"02e095f11514fb2f65dd31772aface5a\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan\u003e​Special cases when using software limit switches for drive connection via PTO\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003c/span\u003e\u003c/div\u003e\u003cdiv class=\"p floating-text\"\u003e\u003cspan class=\"seeAlso\"\u003e\u003ca data-type=\"hotspot-link\" id=\"hs_chk9b01a55af3c1872e5599e8cbb7377209\" class=\"hotspot-link display-i-none\" data-mode=\"\" data-label=\"\" data-linktarget=\"9b01a55af3c1872e5599e8cbb7377209\" data-targettype=\"\" data-targetdocument=\"d0ecce24174ffc2b3addde95b33c8ac7\" data-targetdetail=\"9b01a55af3c1872e5599e8cbb7377209\" onClick=\"\" href=\"#\" data-linktype=\"see-also\"\u003e\u003ci class=\"\" /\u003e\u003cspan\u003e\u003cspan\u003e​List of ErrorIDs and ErrorInfos (technology objects V4...5)\u003c/span\u003e\u003c/span\u003e​\u003c/a\u003e\u003c/span\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/div\u003e\u003c/html\u003e"}